function [B_celk_podobnost] =  priznaky_vnitrni(q,k)

%% nacteni vsech parametru
slozka = dir('..\..\mat_soubory\leve_oko\');
slozka = slozka(3:end);

%% ulozeni parametru snimku urceneho k identifikaci
a = slozka(q).name;
vstup = ['..\..\mat_soubory\leve_oko\',a];
load(vstup);

B_pocet = bifurkace_pocet;
Px = pixely;
fi = uhel;
B_px = tloustka;

%% prochazeni databazi
soubor = ['..\..\mat_soubory\leve_oko\',slozka(k).name];
load(soubor);

%% cely dalsi algoritmus - lokalni podobnost
% odchylky ID snimku od snimku databaze
    N = B_pocet;
    M = bifurkace_pocet;
    B_podobnost = zeros(N,M);
    for i = 1:N
        for j = 1:M
            delta1 = fi(1,1,i)-uhel(1,1,j);
            delta2 = fi(1,2,i)-uhel(1,2,j);
            delta3 = fi(1,3,i)-uhel(1,3,j);
            delta4 = B_px(1,i)-tloustka(1,j);
            vektor = [delta1/360;delta2/360;delta3/360;delta4/441];
            % podobnost bifurkace identifikovaneho obr. na radku, pomocny v
            % sloupci
            B_podobnost(i,j) = 1-1/4*sqrt(sum(vektor.^2));
        end
    end
    
    B_sort_podobnost=zeros(N,M);
    pozice=zeros(N,M);
    B_max_podobnost=zeros(N,1);
            
    for i = 1:N
        [B_sort_podobnost(i,:) pozice(i,:)] = sort(B_podobnost(i,:));
        [B_max_podobnost(i,1)] = max(B_podobnost(i,:));
    end
    vel = size(pozice);

    %% osetreni pripadu rovnosti poctu bifurkaci ID snimku a snimku databaze
if N == M
    i = 1;
    j = 1;
    while i <= vel(1)
        while j <= vel(1)
            if pozice(i,vel(2)) == pozice(j,vel(2))
                if B_sort_podobnost(i,vel(2))>B_sort_podobnost(j,vel(2))
                    B_max_podobnost(j)=B_sort_podobnost(j,vel(2)-1);
                    pozice(j,vel(2)) = pozice(j,vel(2)-1);
                    pozice(j,vel(2)-1) = pozice(j,vel(2)-2);
                else
                    B_max_podobnost(i)=B_sort_podobnost(i,vel(2)-1);
                    pozice(i,vel(2)) = pozice(i,vel(2)-1);
                    pozice(i,vel(2)-1) = pozice(i,vel(2)-2);
                end
            end
            j = j+1;
        end
        i = i+1;
    end
end

%% vysledna hodnota lokalni podobnosti
    B_celk_podobnost = mean(B_max_podobnost);

end
